Permalink
Browse files

Make `bundle install` work from an empty environment.

  • Loading branch information...
1 parent 995ea0b commit 0ecb1fd6243db603bb775eb57c5689d98d6fffdf @spraints committed Jul 12, 2011
Showing with 11 additions and 7 deletions.
  1. +4 −1 .gitignore
  2. +2 −4 lib/pt.rb
  3. +3 −0 lib/pt/version.rb
  4. +2 −2 pt.gemspec
View
@@ -1 +1,4 @@
-.pt
+.pt
+.bundle
+*.swp
+Gemfile.lock
View
@@ -1,11 +1,9 @@
-require 'rubygems'
-
module PT
class InputError < StandardError; end
- VERSION = '0.3.7'
end
+require 'pt/version'
require 'pt/client'
require 'pt/data_row'
require 'pt/data_table'
-require 'pt/ui'
+require 'pt/ui'
View
@@ -0,0 +1,3 @@
+module PT
+ VERSION = '0.3.7'
+end
View
@@ -1,6 +1,6 @@
lib = File.expand_path('../lib/', __FILE__)
$:.unshift lib unless $:.include?(lib)
-require 'pt'
+require 'pt/version'
Gem::Specification.new do |s|
s.name = "pt"
@@ -19,4 +19,4 @@ Gem::Specification.new do |s|
s.add_dependency 'highline', '>= 1.6.1'
s.rubyforge_project = "pt"
s.platform = Gem::Platform::RUBY
-end
+end

0 comments on commit 0ecb1fd

Please sign in to comment.